Welcome

Welcome to Sygate® Home Network Help. These help files are design to aid you in your use of Sygate Home Network 4.2.

Sygate Home Network Manager (main screen)

Configuring the Manager

Advanced Settings

Access Rules

Activity Log

Permissions

Troubleshooting


Sygate Home Network

Main Screen

The main screen of Sygate Home Network server is pictured below. The main screen displays the host's connection type and internet sharing status (online or offline). The status can also be determined by the status light at the bottom right corner of the main screen. If green, Sygate Internet sharing service is online. If red, it is off-line.

Stop/Start Dial/Hang up Resources Help Advanced

Advanced

The Advanced button opens the Advanced panel of the main screen.


Configuring Sygate Home Network Manager

The Configuration window provides a method to set some of the most basic settings and options for Sygate Home Network.

Direct Internet/ISP Connections Dial-up Entry Settings Internal Network Settings

Single NIC Mode Settings Options Advanced Button

Direct Internet/ISP Connections

There are three different methods for connecting to the Internet. Select either Auto-detect, Dialup, or Ethernet, depending on the type of Internet connection that you use. Selecting Auto-detect will cause Sygate to search for your connection type. Select Dialup if you use a standard modem, or Ethernet if you are using a LAN connection.

Dialup Settings

If you are using a dial-up modem to connect to the Internet, you will want to configure Dial-up settings.

Auto-dial

Place a check in the Auto-dial checkbox if you wish to allow dialup connection initiation when a client attempts to access the Internet. Note that Sygate can only auto-dial for the client, not for the server.

Dialup Entry List

The Dialup entry list contains any dialup profiles installed on your computer. Sygate will use only the connections listed. If auto-dial is enabled, Sygate will cycle through the connections, top to bottom, until it finds an available one. You must have at least one connection listed if you are using dial-up to connect to the Internet. You can arrange the connections by using Up and Down buttons.

If you need to remove any connections, highlight the connection you want to remove, and click Remove button.

To add connections, click the Add button. The Dialup Entry Settings window will open.

Select the connection you wish to add. The username and password are required for Windows 2000 and are optional on all other versions of Windows. The entered username and password will be used regardless of what is set on in the connection properties in Dial-up Networking in Windows. The username and password can be changed anytime by highlighting the connection and clicking the 'Edit' button.

Never hang up

Place a check in the Never hang up checkbox to prevent the dialup connection from disconnecting. Alternately, if you want a client to disconnect after a certain amount of idle time...

Auto hang-up

Enter a number of seconds of idle time, after which Sygate Home Network will disconnect the dialup connection.

Local Network Connections

Auto-detect and Select manually

You can choose to have Sygate Home Network detect the network card to be used for networking by clicking on the Auto-detect radio dial. Alternately, you can select the network card manually by choosing the card from the list of network interface cards presented in the pull-down list. The IP address associated with each network card is displayed below the pull-down list.

Single NIC Mode Settings

If you wish to use the same adapter (network interface card) for both your network and your Internet connection, place a check in the User Single NIC mode checkbox. You will notice that the Outgoing Connection Settings become disabled.

If you are using single NIC mode, you will need to specify the gateway IP address for your internal network.

Single NIC:

This IP address needs to be set as the default gateway on the client systems.

If your DSL provider is using PPPoE, you should not enable single NIC mode. You can leave the physical setup (i.e. DSL modem, Sygate server, and the clients plugged into the hub), but Sygate needs to be setup for PPPoE. Please read the tech notes for your PPPoE software on Sygate web site:

http://www.sygate.com/support/tech notes/sg_sa/sg_faq.htm#Ins

Options

Auto-detect newer version

Checking this option allows Sygate Home Network to notify you of updates to the Home Network product.

Enable Internet Sharing at Startup

Checking this option automatically launches Sygate Home Network service upon system startup.

Enable Address Server (DHCP)

You can enable the built-in Sygate DHCP server by placing a check in this option checkbox. The server will automatically assign a temporary IP address to a host as soon as it connects to the network.

Enable Access Log

To enable the client Access Log, which tracks all Internet access and DNS requests from the client machines on your network, place a check next to this option. The Access Log can be found on the server machine in the Sygate directory. Note that the access log only records client activity, and not the server activity.

Enable Enhanced Security

With Enhanced Security enabled, Sygate's circuit-level firewall blocks incoming Internet traffic on ports 1-1000 and 5000-65,536. With Enhanced Security enabled, however, the server machine and network web servers on the Sygate Server will not be able accessible from the Internet through the shared connection managed by the Sygate Home Network server. Servers with access rules that are set up behind the Sygate server will still work.

DNS

Enable DNS Forward

Checking this box will activate Sygate Home Network's DNS forwarder. When this is enabled, you can set the DNS server on your client to the IP address of the Sygate Home Network server. Sygate Home Network will forward all DNS requests to the primary DNS server of your ISP.

If you choose to disable the DNS forwarder, you will need to set your clients to use alternative DNS servers. If you are using Sygate Home Network's address server (DHCP), you will need to enter the alternative DNS server in Advanced Configuration.

If you wish to run any DNS software on the Sygate Home Network server, you will need to disable the DNS forwarder.

Enable Built-in Sock5 Server

By enabling SOCK5, you allow Sygate client systems the ability to utilize the built-in SOCKS feature of an application through Internet.

Advanced Button

The Advanced Settings window provides a place to configure server and connection details for your network.

Address Server (DHCP)

You can select to either allow Sygate to automatically determine the internal adapter IP address range, or you can manually enter the IP address range.

Domain Name Server (DNS)

To add a DNS search order, enter the DNS IP address in the field provided and click Add. To remove a DNS address from the server search order, select the address in the DNS Search Order list and click Remove. The DNS servers will also be assigned to the clients using DHCP.

Connection Time Out

To terminate connections other than HTTP, FTP, NNTP, and TELNET after a certain amount of idle time, specify the time (in minutes) after which an idle connection should be terminated by Sygate.

PPPoE Configuration

PPPoE configuration is designed for networks that are connecting to the Internet over Ethernet. Place a check next to the Users define MTU checkbox to allow others on the network to define the maximum transmission unit (the largest physical packet size) that will be allowed by the network.


Open your browser, connect to the Internet and proceed to http://www.sygate.com/support/applications.htm. A list of applications for which rules have been established is listed on the page.

Right-click on the application you would like to obtain. Select Save Target As and determine where the access rule should be saved.

Open the Sygate Home Network Manager and Press Advanced and Access Rules.

Press Import to upload the access rule from the location where it has been saved. The new Access Rule will automatically saved in the Sygate Home Network folder within the Program Files directory.

Click on the new access rule to view the rule in the Access Rule Configuration format.

Resources

Access Rules

Click the Resources button to set up printer and file sharing capabilities between the networked computers.

If you wish to share a local drive with the rest of the network, click on the Local tab. If you are sharing a printer or another network resource, click on the Network tab. Select the drive or printer that you want to share and click the Shared>> button.

To remove a drive or printer from the Shared Resource list, select it in the list and click the <<Remove button.

Access Rules

The features and functions of Sygate Home Network are based on Network Address Translation (NAT). The benefits of this technology include robust Internet sharing and personal firewall protection. Access Rules allow you to specify to the Sygate Home Network server a set of parameters that determine the specific ports applications should use.

When Internet applications communicate, they open a communication channel on a certain port, similar to a person at work using his/her extension to dial out. Sygate Home Network keeps track of which ports are in use by which clients. Applications that only use one port can communicate without a problem. However some applications open only one port, but receive information on other ports. Because those applications only open one port, Sygate Home Network has a record of only the port that the application has opened. All other ports are considered closed and the information is dropped, resulting in the application not being able to communicate. Access rules tell Sygate what to do with the information on ports other than the one an application has opened.

Enabling Built-In Access Rules Developing Access Rules Access Rule Tutorial

Importing Access Rules

Enabling Built-In Access Rules

Sygate Home Network has been developed an extensive list of Access Rules that permit new Internet applications to work with Sygate Home Network. The list of applications can be viewed at http://www.sygate.com/support/applications.htm. To obtain an Access Rule for a specific application, follow these steps.

  1. Open the Sygate Home Network Manager and click the Access Rules button. The Access Rules Configuration window opens.

  2. Click Add and click on the Import a rule from system rule dial, and select the system rules from the pull-down list before clicking OK. Click here if an access rule for an application is not available.

  3. The Access Rules Configuration window will expand to show the available list of system access rules. Using the pull-down box, select the desired rule and click OK.

Make sure to follow any comments that appear in the Comments field of the Access Rules Configuration window.

Developing Your Own Access Rules

NOTE: Users cannot use access rules to bypass “enhanced security mode” if you are hosting a server (FTP, Web) on the Sygate Home Network server. Access rules are only used in communication with the Sygate Home Network clients - the Sygate Home Network server does not utilize the access rules. If users attempt to host an application server on the Sygate Home Network server, the enhanced security must be disabled and the access rule file must be left unchanged.

Access Rule Considerations

In using access rules, there are issues to consider:

  • Access rules can be specified to open certain ports only for a specified period of time after a client computer has initiated a specified connections- and then to close the specified port so that it can't be access from the Internet. Leaving a port open poses a serious security risk.

  • If you wish to setup an application such as a web page server, file server, or email server, we've defined several sets of access rules that you can enable to make these applications work. Please visit our web site for more information (http://www.sygate.com/support).

  • The access rule file enables our software to support FTP in active mode, Net2Phone, NetMeeting, InternetPhone, StarCraft, Quake II, Kali, DCC of IRC, hosting FTP and web server on Sygate Home Network client, hosting pcANYWHERE server on networked clients. See the complete list of applications currently supported at http://www.sygate.com/support/applications.htm.

Access Rule Tutorial

  1. Open the Sygate Home Network Manager and click the Access Rules button. The Access Rules Configuration window opens.

  2. Click Add. Click on the Add a new rule dial.

  3. The Access Rules Configuration window will expand.

  4. The first access rule development step is to dictate the computer settings on the initial communication between the new application and the Internet. These settings are addressed in the Initial Connection area. This rule will be effective when a client sends a UDP packet out with the destination port as 5999. The client IP address of 0.0.0.0 includes any and all clients on the network. A description of the input options is presented below.

Initial Connection Fields

Field

Function

Direction

IN or OUT. This indicates if the traffic is coming into your network from a remote source, or if is going out of your network to a remote source.

Protocol

TCP or UDP

Client IP

Incoming Traffic - This field tells the server where to pass the incoming packets with the destination port defined by DestPort. This field has to be set to 0.0.0.0 for Sub-trans-x. For the Initial Communication, this field must be set to the IP of one of the clients.

Outgoing Traffic - This field defines which client is initiating the connection.

Client Port

This field applies to incoming traffic, and indicates which client port the traffic will be sent to. If this value is 0, the packet will be sent port indicated in the DestPort field. If this value is not zero, the packet will be sent to the defined port instead of the original destination port.

Dest Port

The port to which the packet is travelling.

MaxIdleTime

This field tells the server to close the tunnel after certain idle seconds. Set to 0 for the server to use the default idle timeout value.

Options

Select the desired options from the list by placing a check in the corresponding checkboxes.

(M) - This value tells the server to close all Sub-tunnels if the triggering connection no longer exists due to either timeout or user application disconnect, etc. This option is only valid in Triggering Transaction.

(H) - H.323 specific rule. The server will process the packets according to H.323 protocol. Users should not use this option to define new rules.

(A) - This option tells the server to pass packets from any remote hosts to specific port defined in the rule. If this option is not specified, only the packets from the remote host that the Triggering Transaction visited can be passed to the ClientPort of the triggering client.

(D) - This option can only be used in Sub-Trans-x. It tells the server to keep creating tunnels for each connection between the triggering networked client and remote hosts. Without this option, only one tunnel can be created for each Sub-Trans-x rule.

Subsequent Connections

Ongoing communication with the new Internet application is supported by inputting information into Subsequent Connections field. Select Add in the Subsequent Connections area.

In this Access Rule, the server software will create a dynamic tunnel for IN-coming (Direction) UDP (Protocol) packets at port 6801. This is reflected in the Access Rule as shown below. Once completed, select OK.

SUBSEQUENT COMMUNICATION FIELDS

Field

Function

Direction

IN or OUT. This indicates if the traffic is coming into your network from a remote source, or if is going out of your network to a remote source.

Protocol

TCP or UDP

DestPortHigh

The higher bound of the destination port range.

DestPortLow

The lower bound of the destination port range.

Client Port

This field applies to incoming traffic, and indicates which client port the traffic will be sent to. If this value is 0, the packet will be sent port indicated in the DestPort field. If this value is not zero, the packet will be sent to the defined port instead of the original destination port.

MaxIdleTime

This field tells the server to close the tunnel after the defined number of seconds. Set to 0 for the server to use the default idle timeout value. Maximum idle time is 999999.

Options

(M) - This value tells the server to close all Sub-tunnels if the triggering connection no longer exists due to either timeout or user application disconnect, etc. This option is only valid in Triggering Transaction.

(R) - This option tells the server to use a different source port to send the packet. See "StarCraft" rule for more details.

(H) - H.323 specific rule. The server will process the packets according to H.323 protocol. Users should not use this option to define new rules.

(F) - FTP activity mode specific. Users should not use this option to define new rules.

(I) - IRC DCC mode specific. Users should not use this option to define new rules.

(D) - This option can only be used in Sub-Trans-x. It tells the server to keep creating tunnels for each connection between the triggering networked client and remote hosts. Without this option, only one tunnel can be created for each Sub-Trans-x rule.

The access rule is then complete and can be edited as necessary using the Access Rules Configuration user interface.

Importing Access Rules

You can import many access rules through our web site at http://www.sygate.com/support/documents/applications.htm. Other web sites offer access rules that will enable applications when you are using Sygate Home Network.

Make sure to follow any comments that appear in the Comments field of the Access Rules Configuration window.

To import an access rule, simply right-click on the hyperlink, and select Save Target As.... Then, save the rule on any of your local drives. Then, click the Import button, browse to find the file, and click OK.


Activity Log

The Activity Log displays all of the client activity.

  • Date - The date and time of the activity.

  • Client - IP address of the client.

  • Operation - What kind of traffic the client was creating.

  • Destination IP - IP address that the client traffic was directed to.

  • Website - Web site associated with the IP address.

  • Source Port - Client port being used.

  • Destination Port - Port of remote host (computer with the above Destination IP Address).

  • Bytes Sent - Amount of data (in bytes) sent by the client.

  • Bytes Received - Amount of data (in bytes) received by the client.


To determine the IP address of a web site, open the command prompt (Start>Programs>Accessories>Command Prompt, or Start>Run> type cmd and press Enter) and type the word "ping" (without the quotations) followed by the web address of the web site (e.g. www.sygate.com).

The IP address will then be displayed.

Permissions

The Permissions settings include the Black and White Lists, in which you can specify web sites that you wish to block or allow access to from your home network.

A Black List is a list of IP addresses that you wish to block from your network. A White List, logically, contains IP addresses that you wish to allow access to from your network. You can set the lists up to include IP type, port, and even date and time.

White List items take precedence over Black List items if two or more items on each list conflict with each other.

Creating a Black or White List Item

  1. To set restrict/allow access to web sites, click the Permission button. If you have set a password to enter the Black and White Lists, enter it and click OK. If you have yet to set a password, we recommend doing so now.

  2. The Permissions Editor window opens. Place a check in the Activate checkbox for the list you want to activate.

  3. The Add BWList Item window opens.

  3. First, select the protocol type from the Protocol Type pull-down list.

  4. Enter an external IP address that you want to allow/block. Then, enter the IP addresses within your network that you want to allow/block access to this site. Leaving the Internal IP address field blank will tell Sygate Home Network to include all internal IP addresses.

  5. Next, enter a port number for both the external and internal addresses, or select a port type from the Port No. pull-down list.

  6. You can set a schedule during (or outside of) which this site will be blocked/allowed. You may want to allow/block this site all day, every day, all year, or you can specify a time period during which the web site will be allowed/blocked. If you do select a specific schedule, make sure to include a duration.

  7. Click OK. The new item should appear in the Permissions Editor window.

Deleting a Black or White List Item

To delete a Black or White List item, select the item in the Permissions Editor and click Delete.


Running Diagnotics

Running Diagnostics

You can run the Sygate Home Network Diagnostics whenever you encounter a problem running the Sygate server or client computers. To run the Sygate Home Network Diagnostics:

From the Sygate Home Network server – Open the Sygate Home Network Manager and select Diagnostics from the Tools menu.

From the Sygate Home Network client – Right click on the client icon located in the System Tray. Click on the Diagnostics option. NOTE: If the Sygate Home Network icon is not located in the System Tray, open Sygate Home Network from the Start menu by clicking on Start > Programs > Sygate Home Network > Sygate Manager.

The Sygate Diagnostics loads and begins testing your system configuration, including:

  • System Settings

  • Network Adapters

  • TCP/IP protocol and settings

  • Assigned IP addresses

  • Connection with Sygate Server

NOTE: If any of these tests fail, an error message will be displayed with potential troubleshooting options. It is recommended that you correct the error and re-run Diagnostics before proceeding. Visit http://www.sygate.com/support for more information.


Troubleshooting

If you are having problems with Sygate Home Network, you can request support easily through the Sygate Home Network Troubleshooting window. Click on the Help menu at the top of the Sygate Home Network Manager. Select Troubleshooting from the menu. The Troubleshooting window will open.

The Troubleshooting window provides all the information that you will need to give to Sygate support personnel.

Click the Copy above to clipboard button to copy all the system information in the Troubleshooting window. Make sure that you are connected to the Internet. Then, click the Support button.

You will be linked to the Sygate Technologies support site. You can search for documents or tech notes on this page. If you wish to report a problem with Sygate Home Network, click the Problem Report icon.

Next, click on the Sygate Home Network link. Paste the information copied to the clipboard in the Troubleshooting Log field. Fill in the remaining information and click the Submit button. A Sygate Technologies Support professional will contact you as soon as possible.